/*   This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; version 2 of the License.
   
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     (C) 2006 schan
*/
#ifndef BITMAP_H
#define BITMAP_H

#include "SDL/SDL.h"

class Bitmap {
	private:
		SDL_Surface *image;
	
	public:
		Bitmap();
		Bitmap(char *filename);

		~Bitmap();

		void load_from_file(char *filename);
		void draw(SDL_Surface *screen, int x, int y);

		int w();
		int h();
};

#endif
